# OpenSlice Portals

OpenSlice comprises of a web landing page (See [Demo](http://portal.openslice.eu/)) that navigates to the respective Portals:

- Services Portal (See [Demo](http://portal.openslice.eu/services))
- NFV Portal (See [Demo](http://portal.openslice.eu/nfvportal))
- Products Portal (See [Demo](http://portal.openslice.eu/products))
- Testing Portal (See [Demo](http://portal.openslice.eu/testing))
- Resources Portal (See [Demo](http://portal.openslice.eu/resources))


Following you may find the scope each portal focuses on and the main TMF APIs it supports:

**Services Portal** is a designated portal for the:
- Service Designer - To design Customer Facing Services as bundles of Resource Facing Services that map to specific Resourses (e.g. NFV, Testing, General Resources). Then, it is charged with the designed Services' exposure to public Service Catalogs.
- Service Customer - To browse the public Service Catalogs and order the offered Services. The fulfilment process of the Service Order is also captured and the final deployed Services are exposed to the Customer.

**NFV Portal** is a designated portal for the:
Indicatively, the portal can be used to:
- Register new a new MANO provider (e.g. OSM)
- Synchronize the onboarded VNF/NS packages, and the VIMs of the registered MANO provider
- Onboard/Delete VNF/NS packages on specific MANO provider
- Deploy a NS to a target MANO provider

More information can be found at [NFV Services](../naas/nfv/nfvservices.md).

**Resources Portal** is a designated portal for the:
- Resource Administrator - To view the available Resources that are being synchronized from the underlying infrastructure.
- 
**Products Portal** is a designated portal for the:
- Product Designer - To design Products as bundles of available Services. Then, it is charged with the designed Products' exposure to public Product Catalogs.
- Product Customer - To browse the public Product Catalogs and navigate to the respective offered Services.

**Testing Portal** is a designated portal for the:
- Testing Designer - To design Tests and provide the testing scripts as attachments to the latter. The Tests can be imported as Services at the Services Portal, and can be included in a Service Bundle.




|                     | TMF620 | TMF632 | TMF633 | TMF634 | TMF638 | TMF639 | TMF640 | TMF641 | TMF642 | TMF653 | TMF685 | 
| -------------       |:------:|:------:|:------:|:------:|:------:|:------:|:------:|:------:|:------:|:------:|:------:|
|**Services Portal**  |        |x       |x       |        |x       |        |x       |x       |x       |        |        |
|**Products Portal**  |x       |x       |        |        |        |        |        |        |        |        |        |
|**Testing Portal**   |        |x       |        |        |        |        |        |        |        |x       |        |
|**Resources Portal** |        |x       |        |x       |        |x       |        |        |        |        |x       |

The NFV Portal uses a proprietary API.